Page MenuHomePhabricator

Cursor keeps jumping to the end in sitelink editing
Closed, ResolvedPublic1 Story Points

Description

  1. Open any item with a two-words sitelink, e.g. https://www.wikidata.org/wiki/Q3524984
  2. Click edit sitelinks and type something in the middle, e.g. "Hardie" after "Thomas"

I. Observed: after each and every keystroke, the cursor goes to the end of the text area, forcing me to click the back arrow to reach the point where I need to continue.
II. Expected: the cursor shouldn't move at all.

Event Timeline

Nemo_bis created this task.Jun 23 2015, 9:23 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 23 2015, 9:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Bene added a subscriber: SJu.
Bene added a subscriber: Bene.

Which browser (including version number) and os are you using?

Lydia_Pintscher triaged this task as Normal priority.Jun 24 2015, 10:30 AM
Lydia_Pintscher set Security to None.
Lydia_Pintscher added a subscriber: thiemowmde.

Which browser (including version number) and os are you using?

I can reproduce with Chromium 43.0.2357.81 but not Firefox 38.0.5.

Bene added a comment.Jun 24 2015, 9:56 PM

The issue comes from this line in jquery.wikibase.pagesuggester where we set the value of the input field. I'm not sure how long this bug exists but maybe it was introduced by this change.

Commenting out the line makes the issue disappear but I'm not sure if the line is useful for something. As far as I can see everything still works as expected when removing it.

Change 220630 had a related patch set uploaded (by Bene):
Don't override value in input field so that cursor doesn't jump

https://gerrit.wikimedia.org/r/220630

Bene claimed this task.Jun 25 2015, 1:45 PM
Bene moved this task from Backlog to Review on the Wikidata-Sprint-2015-06-16 board.

Change 220773 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Avoid setting values that do not change in pagesuggester

https://gerrit.wikimedia.org/r/220773

Change 220630 abandoned by Bene:
Don't override value in input field so that cursor doesn't jump

Reason:
In favour of Ib0299e5

https://gerrit.wikimedia.org/r/220630

Bene closed this task as Resolved.Jun 26 2015, 2:28 PM
Bene reassigned this task from Bene to thiemowmde.
Bene moved this task from Review to Done on the Wikidata-Sprint-2015-06-16 board.

Change 220773 merged by jenkins-bot:
Avoid setting values that do not change in pagesuggester

https://gerrit.wikimedia.org/r/220773